<!DOCTYPE html>

<html xmlns:th="https://www.thymeleaf.org"
  th:replace="~{fragments/layout :: layout (~{::body},'owners')}">

  <body>
  
  
    <h2>Student Information</h2>
  
  
    <table class="table table-striped" th:object="${student}">
      <tr>
        <th>Name</th>
        <td><b th:text="*{firstName + ' ' + lastName}"></b></td>
      </tr>
      <tr>
        <th>Address</th>
        <td th:text="*{address}" /></td>
      </tr>
      <tr>
        <th>City</th>
        <td th:text="*{city}" /></td>
      </tr>
      <tr>
        <th>Telephone</th>
        <td th:text="*{telephone}" /></td>
      </tr>
    </table>
  
    <a th:href="@{{id}/edit(id=${student.id})}" class="btn btn-default">Edit
      Student</a>
    <a th:href="@{{id}/pets/new(id=${student.id})}" class="btn btn-default">Add
      New Course</a>
  
    <br />
    <br />
    <br />
    <h2>Courses and Visits</h2>
  
    <table class="table table-striped">
  
      <tr th:each="course : ${student.courses}">
        <td valign="top">
          <dl class="dl-horizontal">
            <dt>Name</dt>
            <dd th:text="${course.name}" /></dd>
            <dt>Birth Date</dt>
            <dd th:text="${#temporals.format(course.birthDate, 'yyyy-MM-dd')}" /></dd>
            <dt>Type</dt>
            <dd th:text="${course.type}" /></dd>
              <dt>Father</dt>
              <dd th:text="${course.father}" /></dd>
              <dt>Mother</dt>
              <dd th:text="${course.mother}" /></dd>
              <dt>Children</dt>
              <dd th:text="${course.countChild()}" /></dd>
          </dl>
        </td>
        <td valign="top">
          <table class="table-condensed">
            <thead>
              <tr>
                <th>Visit Date</th>
                <th>Description</th>
                <th>Veterinarian ID</th>
              </tr>
            </thead>
            <tr th:each="visit : ${course.visits}">
              <td th:text="${#temporals.format(visit.date, 'yyyy-MM-dd')}"></td>
              <td th:text="${visit?.description}"></td>
              <td th:text="${visit?.vetId}"></td>
            </tr>
            <tr>
              <td><a
                th:href="@{{studentId}/pets/{courseId}/edit(studentId=${student.id},courseId=${course.id})}">Edit
                  Course</a></td>
              <td><a
                th:href="@{{studentId}/pets/{courseId}/visits/new(studentId=${student.id},courseId=${course.id})}">Add
                  Visit</a></td>
            </tr>
          </table>
        </td>
      </tr>
  
    </table>
  
  </body>

</html>
